<?php
Redux::setSection( $opt_name, array(
  'title'     	=> esc_html__( 'Styling', 'halpes' ),
  'icon'      	=> 'el-icon-pencil',
  'fields' 		=> array(
	 	array(
			'id'  	=> 'colors_info_styling',
			'type'   => 'info',
			'raw' 	=> '<h3 class="margin-bottom-0">' . esc_html__( 'Colors', 'halpes' ) . '</h3>'
	 	),
	 	array(
			'id'        	=> 'main_color',
			'type'         => 'color',
			'title'        => esc_html__( 'Main Color', 'halpes' ),
			'desc'         => esc_html__( 'Used for the body text.', 'halpes' ),
			'default'      => '',
			'transparent'  => false,
			'validate'     => 'color'
	 	),
	 	array(
			'id'  	=> 'info_background',
			'type'   => 'info',
			'raw' 	=> '<h3 class="margin-bottom-0">' . esc_html__( 'Background', 'halpes' ) . '</h3>'
	 	),
	 	array(
			'id'        	=> 'main_background_color',
			'type'         => 'color',
			'title'        => esc_html__( 'Background Color', 'halpes' ),
			'desc'         => esc_html__( 'Used for the main site background.', 'halpes' ),
			'default'      => '',
			'transparent'  => false,
			'validate'     => 'color'
	 	),
	 	array(
			'id'  	=> 'main_background_image',
			'type'   => 'media', 
			'url' 	=> true,
			'title'  => esc_html__( 'Background Image', 'halpes' ),
			'desc'   => esc_html__( 'Upload a background image or specify a URL (boxed layout).', 'halpes' )
	 	),
		array(
			'id'     	=> 'main_background_image_type',
			'type'      => 'select',
			'title'     => esc_html__( 'Background Type', 'halpes' ),
			'desc'      => esc_html__( 'Select the background-image type (fixed image or repeat pattern/texture).', 'halpes' ),
			'options'   => array( 
				'fixed' => esc_html__('Fixed (Full)', 'halpes'), 
				'repeat' => esc_html__('Repeat (Pattern)', 'halpes')
			),
			'default'   => 'fixed'
		),
	 	array(
			'id'  	=> 'main_content_info_styling',
			'type'  	=> 'info',
			'raw' 	=> '<h3 class="margin-bottom-0">' . esc_html__( 'Main Content', 'halpes' ) . '</h3>'
	 	),
		array(
			'id'    		=> 'content_background_color',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Background Color', 'halpes' ),
			'desc'    	=> esc_html__( 'Used for the header background.', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
		),
	 	array(
			'id'    		=> 'content_font_color',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Text Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
	 	),
	 	array(
			'id'    		=> 'content_font_color_link',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Link Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
	 	),
	  	array(
			'id'    		=> 'content_font_color_link_hover',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Link Hover Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
	 	),

	 	array(
			'id'  		=> 'footer_info_styling',
			'type'  		=> 'info',
			'raw' 		=> '<h3 class="margin-bottom-0">' . esc_html__( 'Footer Default Styling', 'halpes' ) . '</h3>'
	 	),
		array(
			'id'    		=> 'footer_background_color',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Background Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
		),
	 	array(
			'id'    		=> 'footer_font_color',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Text Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
	 	),
		array(
			'id'    		=> 'footer_font_color_link',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Link Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
		),
	  	array(
			'id'    		=> 'footer_font_color_link_hover',
			'type'    	=> 'color',
			'title'   	=> esc_html__( 'Link Hover Color', 'halpes' ),
			'default' 	=> '',
			'validate'  => 'color'
	 	)
  	)
));