<?php
/**
	* $Desc
	*
	* @author     Gaviasthemes Team     
	* @copyright  Copyright (C) 2021 gaviasthemes. All Rights Reserved.
	* @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
	* 
*/

define('HALPES_THEME_DIR', get_template_directory());
define('HALPES_THEME_URL', get_template_directory_uri());

/*
	* Include list of files from Gavias Framework.
*/
require_once(HALPES_THEME_DIR . '/includes/theme-functions.php'); 
require_once(HALPES_THEME_DIR . '/includes/template.php'); 
require_once(HALPES_THEME_DIR . '/includes/theme-hook.php'); 
require_once(HALPES_THEME_DIR . '/includes/theme-layout.php'); 
require_once(HALPES_THEME_DIR . '/includes/comment.php'); 
require_once(HALPES_THEME_DIR . '/includes/metaboxes.php'); 
require_once(HALPES_THEME_DIR . '/includes/menu/megamenu.php'); 
require_once(HALPES_THEME_DIR . '/includes/elementor/hooks.php');
require_once(HALPES_THEME_DIR . '/includes/customize/custom-typo.php'); 
require_once(HALPES_THEME_DIR . '/includes/customize/custom-color.php'); 

//Load Woocommerce plugin
if(halpes_woocommerce_activated() ){
	add_theme_support('woocommerce');
	require_once(HALPES_THEME_DIR . '/includes/woocommerce/functions.php'); 
	require_once(HALPES_THEME_DIR . '/includes/woocommerce/hooks.php'); 
}

//Load Give
if(class_exists('Give')){
  require_once(HALPES_THEME_DIR . '/includes/give/hooks.php'); 
}

// Load Redux - Theme options framework
if(class_exists('Redux')){
	require(HALPES_THEME_DIR . '/includes/options/init.php');
	require_once(HALPES_THEME_DIR . '/includes/options/opts-general.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-header.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-footer.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-breadcrumb.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-styling.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-typography.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-blog.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-page.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-event.php'); 
	require_once(HALPES_THEME_DIR . '/includes/options/opts-give.php'); 
	 if(halpes_woocommerce_activated() ){
		require_once(HALPES_THEME_DIR . '/includes/options/opts-woo.php'); 
	 }
} 

// TGM plugin activation
if (is_admin()) {
	require_once(HALPES_THEME_DIR . '/includes/tgmpa/class-tgm-plugin-activation.php');
	require(HALPES_THEME_DIR . '/includes/tgmpa/config.php');
}
load_theme_textdomain('halpes', get_template_directory() . '/languages');

//-------- Register sidebar default in theme -----------
//------------------------------------------------------
function halpes_widgets_init() {
	register_sidebar(array(
		'name' 				=> esc_html__('Default Sidebar', 'halpes'),
		'id' 					=> 'default_sidebar',
		'description' 		=> esc_html__('Appears in the Default Sidebar section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 		=> '</span></h3>',
	));

	if(halpes_woocommerce_activated()){
		register_sidebar( array(
			'name' 				=> esc_html__('WooCommerce Sidebar', 'halpes'),
			'id' 					=> 'woocommerce_sidebar',
			'description' 		=> esc_html__('Appears in the Plugin WooCommerce section of the site.', 'halpes'),
			'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
			'after_widget'	 	=> '</aside>',
			'before_title' 	=> '<h3 class="widget-title"><span>',
			'after_title' 		=> '</span></h3>',
		));
		register_sidebar(array(
			'name' 				=> esc_html__('WooCommerce Single', 'halpes'),
			'id' 					=> 'woocommerce_single_summary',
			'description' 		=> esc_html__('Appears in the WooCommerce Single Page like social, description text ...', 'halpes'),
			'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
			'after_widget' 	=> '</aside>',
			'before_title' 	=> '<h3 class="widget-title"><span>',
			'after_title' 		=> '</span></h3>',
		));
	}
	if(class_exists('Give')){
		register_sidebar(array(
	        'name' 				=> esc_html__('Plugin| Give Sidebar', 'halpes'),
	        'id' 					=> 'give_sidebar',
	        'description' 		=> esc_html__('Appears in the Give Form Page like social, description text ...', 'halpes'),
	        'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
	        'after_widget' 		=> '</aside>',
	        'before_title' 		=> '<h3 class="widget-title"><span>',
	        'after_title' 		=> '</span></h3>',
	    ));
	}
	register_sidebar(array(
		'name' 				=> esc_html__('After Offcanvas Mobile', 'halpes'),
		'id' 					=> 'offcanvas_sidebar_mobile',
		'description' 		=> esc_html__('Appears in the Offcanvas section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 		=> '</span></h3>',
	));
	register_sidebar(array(
		'name' 				=> esc_html__('Blog Sidebar', 'halpes'),
		'id' 					=> 'blog_sidebar',
		'description' 		=> esc_html__('Appears in the Blog sidebar section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 		=> '</span></h3>',
	));
	register_sidebar(array(
		'name' 					=> esc_html__('Page Sidebar', 'halpes'),
		'id' 						=> 'other_sidebar',
		'description' 			=> esc_html__('Appears in the Page Sidebar section of the site.', 'halpes'),
		'before_widget' 		=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 		=> '</aside>',
		'before_title' 		=> '<h3 class="widget-title"><span>',
		'after_title' 			=> '</span></h3>',
	));
	register_sidebar(array(
		'name' 				=> esc_html__('Footer first', 'halpes'),
		'id' 					=> 'footer-sidebar-1',
		'description' 		=> esc_html__('Appears in the Footer first section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 		=> '</span></h3>',
	));
	register_sidebar(array(
		'name' 				=> esc_html__('Footer second', 'halpes'),
		'id' 					=> 'footer-sidebar-2',
		'description' 		=> esc_html__('Appears in the Footer second section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 		=> '</span></h3>',
	));
	register_sidebar(array(
		'name' 				=> esc_html__('Footer third', 'halpes'),
		'id' 					=> 'footer-sidebar-3',
		'description' 		=> esc_html__('Appears in the Footer third section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 		=> '</span></h3>',
	));
	register_sidebar(array(
		'name' 				=> esc_html__('Footer four', 'halpes'),
		'id' 					=> 'footer-sidebar-4',
		'description' 		=> esc_html__('Appears in the Footer four section of the site.', 'halpes'),
		'before_widget' 	=> '<aside id="%1$s" class="widget clearfix %2$s">',
		'after_widget' 	=> '</aside>',
		'before_title' 	=> '<h3 class="widget-title"><span>',
		'after_title' 	=> '</span></h3>',
	));
}
add_action('widgets_init', 'halpes_widgets_init');


if ( ! function_exists('halpes_fonts_url') ) :
/**
 *
 * @return string Google fonts URL for the theme.
 */
function halpes_fonts_url() { 
	$fonts_url = '';
	$fonts     = array();
	$subsets   = '';
	$protocol = is_ssl() ? 'https' : 'http';
	/*
		* Translators: If there are characters in your language that are not supported
		* by Noto Sans, translate this to 'off'. Do not translate into your own language.
	*/
	if('off' !== _x('on', 'Nunito font: on or off', 'halpes')){
		$fonts[] = 'Nunito:wght@400;600;700;800;900';
	}
	if($fonts){
		$fonts_url = add_query_arg( array(
			'family' => (implode('&family=', $fonts)),
			'display' => 'swap',
		),  $protocol.'://fonts.googleapis.com/css2');
	}

	return $fonts_url;
}

endif;

function halpes_custom_styles() {
	$custom_css = get_option('halpes_theme_custom_styles');
	if($custom_css){
		wp_enqueue_style(
			'halpes-custom-style',
			HALPES_THEME_URL . '/css/custom_script.css'
		);
		wp_add_inline_style('halpes-custom-style', $custom_css);
	}
}
add_action('wp_enqueue_scripts', 'halpes_custom_styles', 9999);

function halpes_init_scripts(){
	global $post;
	$protocol = is_ssl() ? 'https' : 'http';
	if ( is_singular() && comments_open() && get_option('thread_comments') ){
		wp_enqueue_script('comment-reply');
	}

	$skin = halpes_get_option('skin_color', '');
	$skin = !empty($skin) ? 'skins/' . $skin . '/' : ''; 
	
	$theme = wp_get_theme();
	$theme_version = $theme['Version'];

	wp_enqueue_style('halpes-fonts', halpes_fonts_url(), array(), null );
	wp_enqueue_script('bootstrap', HALPES_THEME_URL . '/js/bootstrap.min.js', array('jquery') );
	wp_enqueue_script('perfect-scrollbar', HALPES_THEME_URL . '/js/perfect-scrollbar.jquery.min.js');
	wp_enqueue_script('jquery-magnific-popup', HALPES_THEME_URL . '/js/magnific/jquery.magnific-popup.min.js');
	wp_enqueue_script('jquery-cookie', HALPES_THEME_URL . '/js/jquery.cookie.js', array('jquery'));
	wp_enqueue_script('owl-carousel', HALPES_THEME_URL . '/js/owl-carousel/owl.carousel.min.js');
	wp_enqueue_script('jquery-appear', HALPES_THEME_URL . '/js/jquery.appear.js');
	wp_enqueue_script('halpes-main', HALPES_THEME_URL . '/js/main.js', array('imagesloaded', 'jquery-masonry'));
  
	wp_enqueue_style('dashicons');
	wp_enqueue_style('owl-carousel', HALPES_THEME_URL .'/js/owl-carousel/assets/owl.carousel.css');
	wp_enqueue_style('magnific', HALPES_THEME_URL .'/js/magnific/magnific-popup.css');
	wp_enqueue_style('fontawesome', HALPES_THEME_URL . '/css/fontawesome/css/all.css');
	wp_enqueue_style('line-awesome', HALPES_THEME_URL . '/css/line-awesome/css/line-awesome.min.css');

	wp_enqueue_style('halpes-style', HALPES_THEME_URL . '/style.css');
	wp_enqueue_style('bootstrap', HALPES_THEME_URL . '/css/' . $skin . 'bootstrap.css', array(), $theme_version , 'all'); 
	wp_enqueue_style('halpes-template', HALPES_THEME_URL . '/css/' . $skin . 'template.css', array(), $theme_version , 'all');
	
	//Woocommerce
	if(halpes_woocommerce_activated() ){
		wp_enqueue_script('halpes-woocommerce', HALPES_THEME_URL . '/js/woocommerce.js');
		wp_dequeue_script('wc-add-to-cart');
		wp_register_script('wc-add-to-cart', HALPES_THEME_URL . '/js/add-to-cart.js' , array('jquery'));
		wp_enqueue_script('wc-add-to-cart');
		wp_enqueue_style('halpes-woocoomerce', HALPES_THEME_URL . '/css/' . $skin . 'woocommerce.css', array(), $theme_version , 'all'); 
	}
}
add_action('wp_enqueue_scripts', 'halpes_init_scripts', 9);

