<?php
	//== Give settings
  	Redux::setSection( $opt_name, array(
		'icon' 	=> 'el-icon-shopping-cart',
		'title' 	=> esc_html__('Give Options', 'halpes'),
		'fields' => array(
			array(
				'id'    		=> 'give_excerpt_limit',
				'type'    	=> 'text',
				'title'   	=> esc_html__( 'Give Form Excerpt Limit', 'halpes' ),
				'default' 	=> '30',
			),
		),
	));

  	Redux::setSection( $opt_name, array(
		'icon' 			=> 'el-icon-shopping-cart',
		'title' 			=> esc_html__('Category Page Options', 'halpes'),
		'subsection' 	=> true,
		'fields' 		=> array(
			array(
				'id' 			=> 'give_display_layout',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Default Product Display Layout', 'halpes'),
				'subtitle' 	=> esc_html__('Choose the default display layout for all gives/category pages.', 'halpes'),
				'options' 	=> array(
					'grid'   => 'Grid',
					'list'   => 'List',
				),
				'default' 	=> 'grid'
			),
			array(
				'id'        => 'give_posts_per_page',
				'type'      => 'slider',
				'title'     => esc_html__('Give pages show at most', 'halpes'),
				'default'   => 6,
				'min'       => 1,
				'max'       => 30,
				'step'      => 1,
				'display_value' => 'text',
			 ),

			array(
				'id' 			=> 'give_columns_lg',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Gives Display Columns for Large Screen', 'halpes'),
				'options' 	=> array(
					'1'      => '1',
					'2'      => '2',
					'3'      => '3',
					'4'      => '4',
					'5'      => '5',
					'6'      => '6',
				),
				'default' 	=> '3',
				'required'  => array('give_display_layout', '=', 'grid')
			 ),
			array(
				'id' 			=> 'give_columns_md',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Gives Display Columns for Medium Screen', 'halpes'),
				'options' 	=> array(
					'1'      => '1',
					'2'      => '2',
					'3'      => '3',
					'4'      => '4',
					'5'      => '5',
					'6'      => '6',
				),
				'default' 	=> '2',
				'required'  => array('give_display_layout', '=', 'grid')
			 ),
			array(
				'id' 			=> 'give_columns_sm',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Gives Display Columns for Small Screen', 'halpes'),
				'options' 	=> array(
					'1'      => '1',
					'2'      => '2',
					'3'      => '3',
					'4'      => '4',
					'5'      => '5',
					'6'      => '6',
				),
				'default' 	=> '2',
				'required'  => array('give_display_layout', '=', 'grid')
			 ),
			array(
				'id' 			=> 'give_columns_xs',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Gives Display Columns for Extra Small Screen', 'halpes'),
				'options' 	=> array(
					'1'      => '1',
					'2'      => '2',
					'3'      => '3',
					'4'      => '4',
					'5'      => '5',
					'6'      => '6',
				),
				'default' 	=> '1',
				'required'  => array('give_display_layout', '=', 'grid')
			 ),

			array(
				'id' 				=> 'give_sidebar_config',
				'type' 			=> 'select',
				'title' 			=> esc_html__('Give Sidebar Config', 'halpes'),
				'subtitle' 		=> esc_html__('Choose the sidebar config for Give all give/category pages.', 'halpes'),
				'options' 		=> array(
				 	'no-sidebars'     => esc_html__('No Sidebars', 'halpes'),
				 	'left-sidebar'    => esc_html__('Left Sidebar', 'halpes'),
				 	'right-sidebar'   => esc_html__('Right Sidebar', 'halpes')
				),
				'default' => 'no-sidebars'
				),
			array(
				'id' 			=> 'give_left_sidebar',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Give Left Sidebar', 'halpes'),
				'subtitle' 	=> esc_html__('Choose the left sidebar for Give all give/category pages.', 'halpes'),
				'data'      => 'sidebars',
				'default' 	=> 'woocommerce_sidebar'
				),
			array(
				'id' 			=> 'give_right_sidebar',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Give Right Sidebar', 'halpes'),
				'subtitle' 	=> esc_html__('Choose the right sidebar for Give all gives/category pages.', 'halpes'),
				'data'      => 'sidebars',
				'default' 	=> 'woocommerce_sidebar'
				),

			 array(
				'id' 		=> 'give_shop_divide_0',
				'type' 	=> 'divide'
			 ),
		  
			 array(
				'id' 			=> 'give_show_page_heading',
				'type' 		=> 'button_set',
				'title' 		=> esc_html__('Shop Category / Page Heading', 'halpes'),
				'subtitle' 	=> esc_html__('Show page title on all gives/category Give page.', 'halpes'),
				'options' 	=> array(
					'1' => esc_html__('On', 'halpes'),
					'0' => esc_html__('Off', 'halpes')
				),
				'default' 	=> '1'
			 ),

			array(
				'id' 			=> 'give_page_heading_style',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Give Page Heading Style', 'halpes'),
				'subtitle' 	=> esc_html__('Choose the page heading style for the all gives/category Give pages.', 'halpes'),
				'options' 	=> array(
				  'standard'     => esc_html__('Standard', 'halpes'),
				  'hero'         => esc_html__('Background', 'halpes'),
				),
				'default' => 'standard'
			 ),
			array(
				'id' 			=> 'give_page_heading_text_align',
				'type' 		=> 'select',
				'title' 		=> esc_html__('WooCommerce Page Heading Text Align', 'halpes'),
				'subtitle' 	=> esc_html__('Choose the page heading align for the shop/category WooCommerce pages (Standard/Fancy only).', 'halpes'),
				'options' 	=> array(
				 	'text-left'      => esc_html__('Left', 'halpes'),
				 	'text-center'    => esc_html__('Center', 'halpes'),
				 	'text-right'     => esc_html__('Right', 'halpes')
				),
				'default' 	=> 'text-center',
				'required'  => array('give_page_heading_style', '=', 'hero')
			 ),

			array(
				'id' 			=> 'give_page_heading_background_color',
				'type' 		=> 'color',
				'title' 		=> esc_html__('Hero Heading Overlay Color', 'halpes'),
				'default' 	=> '',
				'required'  => array('give_page_heading_style', '=', 'hero')
			 ),

			array(
			 'id'     			=> 'give_page_heading_bg_opacity_title',
			 'type'      		=> 'slider',
			 'title'     		=> esc_html__('Overlay Opacity', 'halpes'),
			 'default'   		=> 50,
			 'min'     			=> 1,
			 'max'     			=> 100,
			 'step'      		=> 1,
			 'display_value' 	=> 'text',
			 'required'  		=> array('give_page_heading_style', '=', 'hero')
			 ),

			array(
				'id' 			=> 'give_page_heading_image',
				'type' 		=> 'media',
				'title' 		=> esc_html__('Heading Background Image', 'halpes'),
				'subtitle' 	=> esc_html__('Upload background image for WooCommerce page heading (Hero Heading Only).', 'halpes'),
				'required'  => array('give_page_heading_style', '=', 'hero')
				),

			array(
				'id' 			=> 'give_page_heading_text_style',
				'type' 		=> 'select',
				'title' 		=> esc_html__('Heading Background Text Style', 'halpes'),
				'subtitle' 	=> esc_html__('Choose the text style for the WooCommerce page heading (Hero Heading Only).', 'halpes'),
				'options' 	=> array(
					'text-light'     => esc_html__('Light', 'halpes'),
					'text-dark'      => esc_html__('Dark', 'halpes')
					),
				'default' 	=> 'text-light',
				'required'  => array( 'give_page_heading_style', '=', 'hero' )
			),
		),
	));

	Redux::setSection( $opt_name, array(
		'icon' 			=> 'el-icon-shopping-cart',
		'title' 			=> esc_html__('Give Single Options', 'halpes'),
		'subsection' 	=> true,
		'fields' 	=> array(
		  	array(
			 	'id' 			=> 'give_single_sidebar_config',
			 	'type' 		=> 'select',
			 	'title' 		=> esc_html__('Default Product Sidebar Config', 'halpes'),
			 	'subtitle' 	=> esc_html__('Choose the sidebar config for WooCommerce shop/category pages.', 'halpes'),
			 	'options' 	=> array(
					'no-sidebars'     => esc_html__('No Sidebars', 'halpes'),
					'left-sidebar'    => esc_html__('Left Sidebar', 'halpes'),
					'right-sidebar'   => esc_html__('Right Sidebar', 'halpes')
			 	),
				'default' => 'no-sidebars'
		  	),
		  	array(
			 	'id' 			=> 'give_single_left_sidebar',
			 	'type' 		=> 'select',
			 	'title' 		=> esc_html__('Default Product Left Sidebar', 'halpes'),
			 	'subtitle' 	=> esc_html__('Choose the default left sidebar for WooCommerce product pages.', 'halpes'),
			 	'data'      => 'sidebars',
			 	'default' 	=> 'give-sidebar'
		  	),
		  	array(
			 	'id' 			=> 'give_single_right_sidebar',
			 	'type' 		=> 'select',
			 	'title' 		=> esc_html__('Default Product Right Sidebar', 'halpes'),
			 	'subtitle' 	=> esc_html__('Choose the default right sidebar for WooCommerce product pages.', 'halpes'),
			 	'data'      => 'sidebars',
			 	'default' 	=> 'give-sidebar'
		  	),

		  	array(
			 	'id' 		=> 'divide_1',
			 	'type' 	=> 'divide'
		  	),

		  	array(
			 	'id' 			=> 'give_sharing_facebook',
			 	'type' 		=> 'button_set',
			 	'title' 		=> esc_html__('Share Facebook', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share facebook for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' 	=> 'on'
		  	),
		  	array(
			 	'id' 			=> 'give_sharing_twitter',
			 	'type' 		=> 'button_set',
			 	'title' 		=> esc_html__('Share Twitter', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share twitter for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' 	=> 'on'
		  	),
		  	array(
			 	'id' 			=> 'give_sharing_linkedin',
			 	'type' 		=> 'button_set',
			 	'title' 		=> esc_html__('Share Linkedin', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share linkedin for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' => 'on'
		  	),
		  	array(
			 	'id' 			=> 'give_sharing_tumblr',
			 	'type' 		=> 'button_set',
			 	'title' 		=> esc_html__('Share Tumblr', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share tumblr for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' => 'on'
		  	),
		  	array(
			 	'id' 		=> 'give_sharing_google',
			 	'type' 	=> 'button_set',
			 	'title' 	=> esc_html__('Share Google', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share google for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' => 'on'
		  	),
		  	array(
			 	'id' 		=> 'give_sharing_pinterest',
			 	'type' 	=> 'button_set',
			 	'title' 	=> esc_html__('Share Pinterest', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share pinterest for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' => 'on'
		  	),
		  	array(
			 	'id' 			=> 'give_sharing_email',
			 	'type' 		=> 'button_set',
			 	'title' 		=> esc_html__('Share Email', 'halpes'),
			 	'subtitle' 	=> esc_html__('Enable share email for single product.', 'halpes'),
			 	'options' 	=> array(
			 		'off' => esc_html__('Disabled', 'halpes'),
			 		'on'  => esc_html__('Enabled', 'halpes')
			 	),
			 	'default' => 'on'
		  	)
		)
	));